[
{
    blockid=sys;
    help=service_pop_sys_sys;
    custom="com.netscape.management.msgserv.ServiceIMAPServiceControl";
    localvar={
	/* translate this block */
	.header.text="Configuraci\u00f3n del sistema";
	.enabled.text="Activar servicio POP en puerto";
	.enabledssl.text="Activar servicio POP sobre SSL";
	.port.text="Puerto:";
	.plaintext.text="Permitir inicio de sesi\u00f3n con contrase\u00f1a";
	.mincipher.text="Longitud m\u00ednima de cifrado para contrase\u00f1a";
	.session.text="Conexiones de red m\u00e1ximas por proceso:";
	.thread.text="N\u00famero m\u00e1ximo de subprocesos por proceso:";
	.slave.text="N\u00famero de procesos:";
	.drop.text="Abandonar conexi\u00f3n de cliente si est\u00e1 inactiva durante:";
	.banner.text="R\u00f3tulo de servicio POP:";
	.idle.labels=["Minuto(s)","Hora(s)"];
	.connection.border=[titled,"Configuraci\u00f3n de conexi\u00f3n"];
	.process.border=[titled,"Configuraci\u00f3n de proceso"];
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		},
		{
		    ctrl=togglepane;
		    id=portlabel;
		    layout=[ybox];
		    text=$.enabled.text;
		    val=$enable.value;
		    inline=true;
		    content=[
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$port.value;
			    aligny=0.5;
			    label=portlabel;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
            content=[
                {
                    ctrl=rigid;
                },
                {
                    ctrl=togglepane;
                    id=sslportlabel;
                    text=$.enabledssl.text;
                    val=$enablesslport.value;
                    inline=true;
                    content=[
                        {
                            ctrl=rigid;
                        },
                        {
                            ctrl=number;
                            val=$sslport.value;
                            label=sslportlabel;
                            max=65535;
                        },
                        {
                            ctrl=hglue;
                        }
                    ]
                }
            ]
        },
        {
            ctrl=vstrut;
        },

/*
	{
	    ctrl=togglepane;
	    text=$.plaintext.text;
	    id=plaintexttoggle;
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=mincipherlabel;
			    text=$.mincipher.text;
			    wrap=$g.label.size2;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=choice;
			    id=mincipher;
			    label=mincipherlabel;
			    items=[0,40,128];
			    val=$plaintextmincipher.value;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
*/
        {
            ctrl=togglepane;
            text=$.plaintext.text;
            id=plaintexttoggle;
            content=[
                {
                    ctrl=pane;
                    content=[
                        {
                            ctrl=label;
                            id=mincipherlabel;
                            text=$.mincipher.text;
                            wrap=$g.label.size2;
                        },
                        {
                            ctrl=rigid;
                        },
                        {
                            ctrl=choice;
                            id=mincipher;
                            label=mincipherlabel;
                            items=[0,40,56,128];
                            val=$plaintextmincipher.value;
                        },
                        {
                            ctrl=hglue;
                        }
                    ]
                }
            ]
        },
        {
            ctrl=vstrut;
        },
	{
	    ctrl=pane;
	    layout=[ybox];
	    border=$.connection.border;
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=sessionlabel;
			    text=$.session.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$maxsessions.value;
			    aligny=0.5;
			    label=sessionlabel;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=droplabel;
			    text=$.drop.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$idletimeout.value;
			    aligny=0.5;
			    label=droplabel;
			    unit=min;
			    items=[min,hr];
			    labels=$.idle.labels;
			    min=10;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    layout=[ybox];
	    border=$.process.border;
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=threadlabel;
			    text=$.thread.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$maxthreads.value;
			    aligny=0.5;
			    label=threadlabel;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=slavelabel;
			    text=$.slave.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$numprocesses.value;
			    aligny=0.5;
			    label=slavelabel;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=bannerlabel;
		    text=$.banner.text;
		    wrap=$g.label.size2;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    val=$banner.value;
		    aligny=0.5;
		    label=bannerlabel;
		}
	    ]
	}
    ]
}
]
